commit:     388cfaf49bf3e17a8577a31c6e8d6265ded210ac
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  4 08:31:30 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Apr  4 08:46:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=388cfaf4

media-plugins/alsa-plugins: Bump to version 1.1.6

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 media-plugins/alsa-plugins/Manifest                |   1 +
 .../alsa-plugins/alsa-plugins-1.1.6.ebuild         | 108 +++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/media-plugins/alsa-plugins/Manifest 
b/media-plugins/alsa-plugins/Manifest
index 375adeaf03c..9c957fee053 100644
--- a/media-plugins/alsa-plugins/Manifest
+++ b/media-plugins/alsa-plugins/Manifest
@@ -1,3 +1,4 @@
 DIST alsa-plugins-1.1.1.tar.bz2 366193 BLAKE2B 
02892b0c241cf34d3bfce6cf580dbb6bedbce9253c3e57f04d3093a6cbb1d5b5e9b92566945962b875de20ba3e556e9c1fc4bb4e970502e3c03fc821e5e264fe
 SHA512 
9dd277cb5cce144ce4e5e0010cebcba0f8634c783e7bcd80ce6d04b198d6de5150a2764df3087a39a468b5fb7c4578de2e252095568e811dedaa5e7ffdbeb7c9
 DIST alsa-plugins-1.1.4.tar.bz2 366931 BLAKE2B 
a0a2d91b86be612e830513d08fe34e1f785f772bd698069e002e3eec48236a4ab63d042be0ebaa6b3890d6d6f3ca75500d241542b89b717532eea59188e1aa0c
 SHA512 
edbc9dd762e2500ce6f820d81fcd8d2577506afcea0b33a32cece95f8d6651840f4f8a55664f274d735ab3effa13cdbfc0331690c37a64a9ad050c15dc77cac6
 DIST alsa-plugins-1.1.5.tar.bz2 366999 BLAKE2B 
299a21586018788b511d7c9dec588182cc39132aa4f1840eca57e3125f6bbdbcdeabbe4b55a93ed107eab2653a85328aec1c9e6f70c302bb224b3fa50a474c75
 SHA512 
50a79d9dbcca72b2133aba7dca594302dcd5816eb71afc311a4c2a96aac7632a0a034875faf3100f2c8a44f3fbbede264e5cd9beacf2a07f2fa6786f66edae39
+DIST alsa-plugins-1.1.6.tar.bz2 367485 BLAKE2B 
efe8b8447db4f68761060e4f48c86c76f821fd7795d8edec0c8f5a03f7406a422f630f012433ac12c3af3222b7b587820a92e937c80dba6bb8766deb854b9706
 SHA512 
f01633cd7166a2fba4c5b4d5d786b5a2122f6a810f5b5b7209c42033759d116a4515174e7ee57973d5de716be88a246d733dc5a2daf92b72377c274b04db401b

diff --git a/media-plugins/alsa-plugins/alsa-plugins-1.1.6.ebuild 
b/media-plugins/alsa-plugins/alsa-plugins-1.1.6.ebuild
new file mode 100644
index 00000000000..d7a9bd8fa2e
--- /dev/null
+++ b/media-plugins/alsa-plugins/alsa-plugins-1.1.6.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic multilib multilib-minimal
+
+DESCRIPTION="ALSA extra plugins"
+HOMEPAGE="http://www.alsa-project.org/";
+SRC_URI="mirror://alsaproject/plugins/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 
~amd64-linux"
+IUSE="arcam_av debug ffmpeg jack libav libsamplerate +mix oss pulseaudio speex 
+usb_stream"
+
+RDEPEND="
+       >=media-libs/alsa-lib-${PV}:=[${MULTILIB_USEDEP}]
+       ffmpeg? (
+               libav? ( media-video/libav:= )
+               !libav? ( media-video/ffmpeg:0= )
+       )
+       jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+       libsamplerate? ( 
>=media-libs/libsamplerate-0.1.8-r1:=[${MULTILIB_USEDEP}] )
+       pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[${MULTILIB_USEDEP}] )
+       speex? (
+               || (
+                       (
+                               >=media-libs/speex-1.2.0[${MULTILIB_USEDEP}]
+                               media-libs/speexdsp[${MULTILIB_USEDEP}]
+                       )
+                       <media-libs/speex-1.2.0[${MULTILIB_USEDEP}]
+               )
+               media-libs/speex:=[${MULTILIB_USEDEP}]
+       )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.1.5-optional_plugins.patch"
+)
+
+src_prepare() {
+       default
+
+       # For some reasons the polyp/pulse plugin does fail with alsaplayer 
with a
+       # failed assert. As the code works just fine with asserts disabled, for 
now
+       # disable them waiting for a better solution.
+       sed -i \
+               -e '/AM_CFLAGS/s:-Wall:-DNDEBUG -Wall:' \
+               pulse/Makefile.am || die
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       use debug || append-cppflags -DNDEBUG
+
+       local myeconfargs=(
+               --with-speex="$(usex speex lib no)"
+               $(use_enable arcam_av arcamav)
+               $(use_enable ffmpeg avcodec)
+               $(use_enable jack)
+               $(use_enable libsamplerate samplerate)
+               $(use_enable mix)
+               $(use_enable oss)
+               $(use_enable pulseaudio)
+               $(use_enable speex speexdsp)
+               $(use_enable usb_stream usbstream)
+       )
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       cd doc || die
+       dodoc upmix.txt vdownmix.txt README-pcm-oss
+       use jack && dodoc README-jack
+       use libsamplerate && dodoc samplerate.txt
+       use ffmpeg && dodoc lavcrate.txt a52.txt
+
+       if use pulseaudio; then
+               dodoc README-pulse
+               # install ALSA configuration files
+               # making PA to be used by alsa clients
+               insinto /usr/share/alsa
+               doins "${FILESDIR}"/pulse-default.conf
+               insinto /usr/share/alsa/alsa.conf.d
+               doins "${FILESDIR}"/51-pulseaudio-probe.conf
+               # bug #410261, comment 5+
+               # seems to work fine without any path
+               sed -i \
+                       -e "s:/usr/lib/alsa-lib/::" \
+                       
"${ED%/}"/usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf || die #410261
+       fi
+
+       find "${ED}" \( -name '*.a' -o -name '*.la' \) -delete || die
+}
+
+pkg_postinst() {
+       if use pulseaudio; then
+               einfo "The PulseAudio device is now set as the default device 
if the"
+               einfo "PulseAudio server is found to be running. Any custom"
+               einfo "configuration in /etc/asound.conf or ~/.asoundrc for 
this"
+               einfo "purpose should now be unnecessary."
+       fi
+}

Reply via email to